[arch-commits] Commit in libxml2/trunk (PKGBUILD largefile64.patch)

Jan de Groot jgc at archlinux.org
Tue Aug 19 06:44:52 EDT 2008


    Date: Tuesday, August 19, 2008 @ 06:44:52
  Author: jgc
Revision: 9831

upgpkg: libxml2 2.6.32-3
    Allan broke it.

Added:
  libxml2/trunk/largefile64.patch
Modified:
  libxml2/trunk/PKGBUILD

-------------------+
 PKGBUILD          |   10 ++++++----
 largefile64.patch |   12 ++++++++++++
 2 files changed, 18 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-19 09:52:27 UTC (rev 9830)
+++ PKGBUILD	2008-08-19 10:44:52 UTC (rev 9831)
@@ -4,19 +4,21 @@
 
 pkgname=libxml2
 pkgver=2.6.32
-pkgrel=2
+pkgrel=3
 pkgdesc="XML parsing library, version 2"
 arch=(i686 x86_64)
 license=('custom')
-depends=('zlib' 'readline')
+depends=('zlib>=1.2.3.3' 'readline>=5.2-8' 'ncurses>=5.6-7')
 makedepends=('python>=2.5')
 options=('!libtool')
-source=(ftp://ftp.xmlsoft.org/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+source=(ftp://ftp.xmlsoft.org/${pkgname}/${pkgname}-${pkgver}.tar.gz
+	largefile64.patch)
 url="http://www.xmlsoft.org/"
-md5sums=('2621d322c16f0257e30f0ff2b13384de')
+md5sums=('2621d322c16f0257e30f0ff2b13384de' '5ad4915665608ebfa5b89f7908467a72')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/largefile64.patch || return 1
   ./configure --prefix=/usr --with-threads --with-history || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1

Added: largefile64.patch
===================================================================
--- largefile64.patch	                        (rev 0)
+++ largefile64.patch	2008-08-19 10:44:52 UTC (rev 9831)
@@ -0,0 +1,12 @@
+--- libxml2-2.6.32.dfsg.orig/libxml.h
++++ libxml2-2.6.32.dfsg/libxml.h
+@@ -13,6 +13,9 @@
+ #ifndef _LARGEFILE_SOURCE
+ #define _LARGEFILE_SOURCE
+ #endif
++#ifndef _LARGEFILE64_SOURCE
++#define _LARGEFILE64_SOURCE
++#endif
+ #ifndef _FILE_OFFSET_BITS
+ #define _FILE_OFFSET_BITS 64
+ #endif




More information about the arch-commits mailing list